libfreetype6 2.8.1 cause nasty font glitches in atom editor

Bug #1751293 reported by George Shuklin on 2018-02-23
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
freetype (Ubuntu)
Undecided
Unassigned

Bug Description

Main bugreport: https://github.com/atom/atom/issues/15737

Problem can be reproduced with 2.8.1-0.1ubuntu2, but it disappears on libfreetype6=2.8-0.2ubuntu2.1.

I don't know about root cause, but may be holding back on 2.8-0 in bionic may be a great idea?

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: libfreetype6 2.8-0.2ubuntu2.1
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
Uname: Linux 4.15.0-10-generic x86_64
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
CurrentDesktop: X-Cinnamon
Date: Fri Feb 23 16:42:14 2018
Dependencies:
 gcc-8-base 8-20180208-0ubuntu1
 libc6 2.26-0ubuntu2.1
 libgcc1 1:8-20180208-0ubuntu1
 libpng16-16 1.6.34-1
 zlib1g 1:1.2.11.dfsg-0ubuntu2
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-xenial-amd64-20160624-2
EcryptfsInUse: Yes
InstallationDate: Installed on 2017-06-22 (246 days ago)
InstallationMedia: Ubuntu 16.04 "Xenial" - Build amd64 LIVE Binary 20160624-10:47
SourcePackage: freetype
UpgradeStatus: No upgrade log present (probably fresh install)

George Shuklin (george-shuklin) wrote :
Jeremy Bicha (jbicha) wrote :

Please ask Atom to rebuild against electron 1.7.10.

I am closing this bug since Ubuntu itself works fine and I think there is an easy fix for third-party apps.

Changed in freetype (Ubuntu):
status: New → Invalid
Douglas Gaskell (douglasg14b) wrote :

This also effects other electron apps such as Discord. The fix for users is to downgrade from freetype 2.8.1 to freetype 2.8.

Darin (newhoa) wrote :

This bug is also reported here:

https://bugs.launchpad.net/ubuntu/+source/freetype/+bug/1769132

FreeType (libfreetype6) 2.9.1 fixes this issue. Hopefully it will replace 2.8.1 in the Ubuntu and Debian repositories as this problem affects many apps.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers